﻿/****** Object:  StoredProcedure [dbo].[crud_DELETE_User]    Script Date: 06/29/2011 09:35:35 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [dbo].[crud_DELETE_User] 
	@ID int
AS
BEGIN
	
	
		UPDATE [User]
		SET ActiveFlag = 0
		WHERE ID = @ID
	
END


GO

/****** Object:  StoredProcedure [dbo].[crud_INSERT_User]    Script Date: 06/29/2011 09:35:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [dbo].[crud_INSERT_User] 
	@LastName nvarchar(50),
	@FirstName nvarchar(50),
	@UserName nvarchar(50),
	@Password nvarchar(50),
	@RoleID int,
	@ActiveFlag bit = 1
AS
BEGIN
	
	IF EXISTS (SELECT * FROM [User] WHERE UserName = @UserName)
		RAISERROR('Le nom d''utilisateur choisi existe déja.',16,1)
	ELSE IF NOT EXISTS (SELECT * FROM [Role] WHERE ID = @RoleID)
		RAISERROR('Le rôle sélectionné n''existe pas.',16,1)
	ELSE
		INSERT INTO [User] ([FirstName], [LastName], [UserName], [Password], [RoleID], [ActiveFlag]) 
		VALUES (@FirstName, @LastName, @UserName, @Password, @RoleID, @ActiveFlag)
	
END

GO

/****** Object:  StoredProcedure [dbo].[crud_SELECT_User]    Script Date: 06/29/2011 09:35:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [dbo].[crud_SELECT_User]
	@ActiveOnly bit = 1
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	SELECT * 
	FROM [User]
	WHERE ActiveFlag = 1 OR @ActiveOnly = 0
END

GO

/****** Object:  StoredProcedure [dbo].[crud_UPDATE_User]    Script Date: 06/29/2011 09:35:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [dbo].[crud_UPDATE_User] 
	@ID int,
	@LastName nvarchar(50),
	@FirstName nvarchar(50),
	@Password nvarchar(50),
	@RoleID int,
	@ActiveFlag bit = 1
AS
BEGIN
	
	IF NOT EXISTS (SELECT * FROM [Role] WHERE ID = @RoleID)
		RAISERROR('Le rôle sélectionné n''existe pas.',16,1)
	ELSE
		UPDATE [User]
		SET LastName = @LastName,
			FirstName = @FirstName,
			Password = @Password,
			RoleID = @RoleID,
			ActiveFlag = @ActiveFlag
		WHERE ID = @ID
	
END


GO

